Summary:	Plasma applet written in QML for managing network connections
Name:		plasma-nm
Version:	0.9.3.6
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/playground/network/%{name}
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{name}/%{name}-%{version}.tar.xz
Patch0:		plasma-nm-0.9.3.6-ru.patch
BuildRequires:	mobile-broadband-provider-info
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(ModemManagerQt)
BuildRequires:	pkgconfig(NetworkManagerQt)
BuildRequires:	pkgconfig(NetworkManager) >= 0.9.8
BuildRequires:	pkgconfig(openconnect) >= 3.99
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	networkmanager
Conflicts:	plasma-applet-networkmanagement
Conflicts:	knetworkmanager-common

%description
Plasma applet and editor for managing your network connections in KDE4 using
the default NetworkManager service.

%files -f %{name}.lang
%{_kde_bindir}/kde-nm-connection-editor
%{_kde_libdir}/kde4/imports/org/kde/networkmanagement/
%{_kde_libdir}/kde4/kded_networkmanagement.so
%{_kde_libdir}/kde4/networkmanagement_notifications.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_l2tpui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_openconnectui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_openswanui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_openvpnui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_pptpui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_strongswanui.so
%{_kde_libdir}/kde4/plasmanetworkmanagement_vpncui.so
%{_kde_libdir}/kde4/plugins/designer/plasmanetworkmanagementwidgets.so
%{_kde_libdir}/libplasmanetworkmanagement-editor.so
%{_kde_libdir}/libplasmanetworkmanagement-internal.so
%{_kde_applicationsdir}/kde-nm-connection-editor.desktop
%{_kde_appsdir}/plasma/plasmoids/org.kde.networkmanagement
%{_kde_appsdir}/desktoptheme/default/icons/plasma-networkmanagement2.svgz
%{_kde_appsdir}/kde-nm-connection-editor
%{_kde_appsdir}/networkmanagement
%{_kde_iconsdir}/oxygen/*/devices/network-defaultroute.png
%{_kde_services}/kded/networkmanagement.desktop
%{_kde_services}/plasma-applet-networkmanagement.desktop
%{_kde_services}/networkmanagement_notifications.desktop
%{_kde_services}/plasmanetworkmanagement_l2tpui.desktop
%{_kde_services}/plasmanetworkmanagement_openconnectui.desktop
%{_kde_services}/plasmanetworkmanagement_openswanui.desktop
%{_kde_services}/plasmanetworkmanagement_openvpnui.desktop
%{_kde_services}/plasmanetworkmanagement_pptpui.desktop
%{_kde_services}/plasmanetworkmanagement_strongswanui.desktop
%{_kde_services}/plasmanetworkmanagement_vpncui.desktop
%{_kde_servicetypes}/plasma-networkmanagement-vpnuiplugin.desktop

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang kde-nm-connection-editor \
	plasma_applet_org.kde.networkmanagement \
	libplasmanetworkmanagement-editor \
	plasmanetworkmanagement-kded \
	plasmanetworkmanagement_l2tpui \
	plasmanetworkmanagement_openconnectui \
	plasmanetworkmanagement_openswanui \
	plasmanetworkmanagement_openvpnui \
	plasmanetworkmanagement_pptpui \
	plasmanetworkmanagement_strongswanui \
	plasmanetworkmanagement_vpncui \
	%{name}.lang

%changelog

* Mon Sep 07 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.9.3.6-2
- (2684a18) Rebuild with new openconnect

* Mon Apr 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.6-1
- (15673b9) New version 0.9.3.6, drop merged patch

* Wed Nov 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.5-1
- (4284da7) Update Russian translation
- (Andrey Bondrov: 628468d) New version 0.9.3.5, drop merged patches

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-7
- (21da58b) Add more patches from upstream (all up to current date)

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-6
- (df3251f) Add patches from upsteam to fix KDE bug #338513

* Mon Sep 29 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-5
- (9eddd3f) Fix typos in russian translation

* Tue Sep 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-4
- (9d6babf) Add patch to fix fields' sizes in connection editor

* Tue Sep 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-3
- (3b8288f) Update Russian translation

* Mon Aug 11 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.4-2
- (63fbd1d) New version 0.9.3.4 (stable)

* Thu Jul 10 2014 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.4-0.20140702.2
- (d1616e7) Updated plasma-nm.spec

* Thu Jul 10 2014 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.4-0.20140702.1
- (407b067) Updated plasma-nm.spec
- (Victor Ryzhikh: 90211e5) Updated .abf.yml
- (Andrey Bondrov: cd5cf0d) Use git snapshot from 2014.07.02, re-diff i18n-ru patch, drop external russian localization because we have better one in upstream now

* Wed Jul 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.3-7
- (b92bf64) Bump release

* Sat Apr 05 2014 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.3-6
- (4ed85b8) Updated plasma-nm.spec

* Sat Apr 05 2014 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.3-5
- (fedced7) Updated .abf.yml
- (Andrey Bondrov: b56c2ab) Update Russian translation (once more)

* Wed Apr 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.3-4
- (b9f6299) Update Russian translation

* Tue Apr 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.3-1
- (858ca22) New version 0.9.3.3, re-diff i18n-ru patch, update files

* Tue Nov 26 2013 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.2-3
- (2a46105) Updated kde-nm-connection-editor-ru.po
- (Victor Ryzhikh: 699c061) Updated plasma-nm.spec

* Tue Nov 26 2013 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.2-2
- (5ee558c) Updated kde-nm-connection-editor-ru.po
- (Victor Ryzhikh: ac98614) Updated plasma-nm.spec

* Sat Nov 23 2013 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.2-1
- (f2db819) Updated plasma-nm.spec

* Sat Nov 23 2013 Victor Ryzhikh <victorr2007@yandex.ru> 0.9.3.1-1
- (6f2ff66) Updated plasma-nm-0.9.3.1-i18n-ru.patch
- (Victor Ryzhikh: 7e97d19) Updated .abf.yml
- (Andrey Bondrov: 4426e3a) LOG New version 0.9.3.1, build with OpenConnect support, update files list

* Thu Sep 12 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.0-2
- (22775a2) LOG Update russian translation

* Thu Sep 12 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.3.0-1
- (137dfdc) LOG Add russian i18n files


